KLVObject.KeyFormat (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Enum KLVObject.KeyFormat

- java.lang.Object
- - java.lang.Enum<KLVObject.KeyFormat>
  - - tv.amwa.maj.io.mxf.KLVObject.KeyFormat

- All Implemented Interfaces:
    Serializable, Comparable<KLVObject.KeyFormat>
  Enclosing class:
    KLVObject

      public static enum KLVObject.KeyFormat
      extends Enum<KLVObject.KeyFormat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KEY_1_BYTE`
    `KEY_2_BYTE`
    `KEY_4_BYTE`
    `KEY_AUTO`
    `KEY_NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KLVObject.KeyFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KLVObject.KeyFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEY_NONE

          public static final KLVObject.KeyFormat KEY_NONE

    - #### KEY_1_BYTE

          public static final KLVObject.KeyFormat KEY_1_BYTE

    - #### KEY_2_BYTE

          public static final KLVObject.KeyFormat KEY_2_BYTE

    - #### KEY_AUTO

          public static final KLVObject.KeyFormat KEY_AUTO

    - #### KEY_4_BYTE

          public static final KLVObject.KeyFormat KEY_4_BYTE

  - ### Method Detail

    - #### values

          public static KLVObject.KeyFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KLVObject.KeyFormat c : KLVObject.KeyFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KLVObject.KeyFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.